sync

GET /sync/config

Get sync configuration

Returns the current sync interval configuration.

Status Codes:
  • 200 OK – current sync configuration

Response JSON Object:
  • category (string)

  • component (string)

  • defaultvalue (string)

  • description (string)

  • displaytext (string)

  • group (string)

  • isdynamic (boolean)

  • type (string)

  • value (string)

PATCH /sync/config

Update sync configuration

Applies a partial update to the sync interval configuration; omitted fields are unchanged.

Request JSON Object:
  • interval_seconds (integer)

Status Codes:
Response JSON Object:
  • category (string)

  • component (string)

  • defaultvalue (string)

  • description (string)

  • displaytext (string)

  • group (string)

  • isdynamic (boolean)

  • type (string)

  • value (string)